Class NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder
-
- Enclosing interface:
- NettyHttpEndpointBuilderFactory
public static class NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder extends Object
The builder of headers' name for the Netty HTTP component.
-
-
Constructor Summary
Constructors Constructor Description NettyHttpHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description Stringconnection()The value of the HTTP header connection to use.StringcontentType()To set the content-type of the HTTP body.StringhttpAuthentication()If the user was authenticated using HTTP Basic then this header is added with the value Basic.StringhttpCharacterEncoding()The charset from the content-type header.StringhttpMethod()The HTTP method used, such as GET, POST, TRACE etc.StringhttpPath()Allows to provide URI context-path and query parameters as a String value that overrides the endpoint configuration.StringhttpProtocolVersion()The version of the HTTP protocol.StringhttpQuery()Any query parameters, such as foo=bar&beer=yes.StringhttpRawQuery()Any query parameters, such as foo=bar&beer=yes.StringhttpResponseCode()Allows to set the HTTP Status code to use.StringhttpUri()The URI without protocol, host and port, etc: /myapp.StringhttpUrl()The URL including protocol, host and port, etc: http://0.0.0.0:8080/myapp.StringnettyChannelHandlerContext()The channel handler context.StringnettyCloseChannelWhenComplete()Indicates whether the channel should be closed after complete.StringnettyLocalAddress()The local address.StringnettyRemoteAddress()The remote address.StringnettyRequestTimeout()The read timeout.StringnettySSLClientCertIssuerName()The SSL client certificate issuer name.StringnettySSLClientCertNotAfter()The SSL client certificate not after.StringnettySSLClientCertNotBefore()The SSL client certificate not before.StringnettySSLClientCertSerialNumber()The SSL client certificate serial number.StringnettySSLClientCertSubjectName()The SSL client certificate subject name.StringnettySSLSession()The SSL session.
-
-
-
Method Detail
-
httpAuthentication
public String httpAuthentication()
If the user was authenticated using HTTP Basic then this header is added with the value Basic. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpAuthentication.
-
contentType
public String contentType()
To set the content-type of the HTTP body. For example: text/plain; charset=UTF-8. The option is a:Stringtype. Group: common- Returns:
- the name of the header
Content-Type.
-
connection
public String connection()
The value of the HTTP header connection to use. The option is a:Stringtype. Group: common- Returns:
- the name of the header
connection.
-
nettyCloseChannelWhenComplete
public String nettyCloseChannelWhenComplete()
Indicates whether the channel should be closed after complete. The option is a:Booleantype. Group: common- Returns:
- the name of the header
NettyCloseChannelWhenComplete.
-
httpResponseCode
public String httpResponseCode()
Allows to set the HTTP Status code to use. By default 200 is used for success, and 500 for failure. The option is a:Integertype. Group: common- Returns:
- the name of the header
HttpResponseCode.
-
httpProtocolVersion
public String httpProtocolVersion()
The version of the HTTP protocol. The option is a:Stringtype. Default: HTTP/1.1 Group: common- Returns:
- the name of the header
HttpProtocolVersion.
-
httpMethod
public String httpMethod()
The HTTP method used, such as GET, POST, TRACE etc. The option is a:Stringtype. Default: GET Group: common- Returns:
- the name of the header
HttpMethod.
-
httpQuery
public String httpQuery()
Any query parameters, such as foo=bar&beer=yes. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpQuery.
-
httpPath
public String httpPath()
Allows to provide URI context-path and query parameters as a String value that overrides the endpoint configuration. This allows to reuse the same producer for calling same remote http server, but using a dynamic context-path and query parameters. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpPath.
-
httpRawQuery
public String httpRawQuery()
Any query parameters, such as foo=bar&beer=yes. Stored in the raw form, as they arrived to the consumer (i.e. before URL decoding). The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpRawQuery.
-
httpUrl
public String httpUrl()
The URL including protocol, host and port, etc: http://0.0.0.0:8080/myapp. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpUrl.
-
httpCharacterEncoding
public String httpCharacterEncoding()
The charset from the content-type header. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpCharacterEncoding.
-
httpUri
public String httpUri()
The URI without protocol, host and port, etc: /myapp. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpUri.
-
nettyChannelHandlerContext
public String nettyChannelHandlerContext()
The channel handler context. The option is a:io.netty.channel.ChannelHandlerContexttype. Group: common- Returns:
- the name of the header
NettyChannelHandlerContext.
-
nettyRemoteAddress
public String nettyRemoteAddress()
The remote address. The option is a:java.net.SocketAddresstype. Group: common- Returns:
- the name of the header
NettyRemoteAddress.
-
nettyLocalAddress
public String nettyLocalAddress()
The local address. The option is a:java.net.SocketAddresstype. Group: common- Returns:
- the name of the header
NettyLocalAddress.
-
nettySSLSession
public String nettySSLSession()
The SSL session. The option is a:javax.net.ssl.SSLSessiontype. Group: common- Returns:
- the name of the header
NettySSLSession.
-
nettySSLClientCertSubjectName
public String nettySSLClientCertSubjectName()
The SSL client certificate subject name. The option is a:Stringtype. Group: common- Returns:
- the name of the header
NettySSLClientCertSubjectName.
-
nettySSLClientCertIssuerName
public String nettySSLClientCertIssuerName()
The SSL client certificate issuer name. The option is a:Stringtype. Group: common- Returns:
- the name of the header
NettySSLClientCertIssuerName.
-
nettySSLClientCertSerialNumber
public String nettySSLClientCertSerialNumber()
The SSL client certificate serial number. The option is a:Stringtype. Group: common- Returns:
- the name of the header
NettySSLClientCertSerialNumber.
-
nettySSLClientCertNotBefore
public String nettySSLClientCertNotBefore()
The SSL client certificate not before. The option is a:java.util.Datetype. Group: common- Returns:
- the name of the header
NettySSLClientCertNotBefore.
-
nettySSLClientCertNotAfter
public String nettySSLClientCertNotAfter()
The SSL client certificate not after. The option is a:java.util.Datetype. Group: common- Returns:
- the name of the header
NettySSLClientCertNotAfter.
-
nettyRequestTimeout
public String nettyRequestTimeout()
The read timeout. The option is a:Longtype. Group: common- Returns:
- the name of the header
NettyRequestTimeout.
-
-